const gulp = require('gulp');
const { watch } = require('gulp');
const sass = require('gulp-sass')(require('sass'));

// compile 
function styles(cb) {
  return gulp.src('./assets/styles/**/*.scss')
    .pipe(sass({outputStyle: 'compressed'}).on('error', sass.logError))
    .pipe(gulp.dest('./public/css'));
  cb();
}

// by default, watch files
exports.default = function() {
  // compile sass stylesheets
  watch('assets/styles/**/*.scss', styles);
};
